#!/usr/bin/env python
# coding:utf-8

STAR_GREY = ["15 15 53 1",
" 	c None",
".	c #757575",
"+	c #747474",
"@	c #D9D9D9",
"#	c #5A5A5A",
"$	c #B4B4B4",
"%	c #D6D6D6",
"&	c #9B9B9B",
"*	c #555555",
"=	c #DDDDDD",
"-	c #D4D4D4",
";	c #CFCFCF",
">	c #4B4B4B",
",	c #767676",
"'	c #828282",
")	c #878787",
"!	c #8D8D8D",
"~	c #A9A9A9",
"{	c #CBCBCB",
"]	c #ABABAB",
"^	c #797979",
"/	c #707070",
"(	c #6B6B6B",
"_	c #595959",
":	c #898989",
"<	c #D1D1D1",
"[	c #CCCCCC",
"}	c #C6C6C6",
"|	c #C0C0C0",
"1	c #C2C2C2",
"2	c #BEBEBE",
"3	c #C7C7C7",
"4	c #7F7F7F",
"5	c #CACACA",
"6	c #C1C1C1",
"7	c #B8B8B8",
"8	c #BDBDBD",
"9	c #636363",
"0	c #C8C8C8",
"a	c #CECECE",
"b	c #C3C3C3",
"c	c #696969",
"d	c #565656",
"e	c #DADADA",
"f	c #424242",
"g	c #BBBBBB",
"h	c #717171",
"i	c #5B5B5B",
"j	c #9D9D9D",
"k	c #848484",
"l	c #343434",
"m	c #464646",
"n	c #3F3F3F",
"               ",
"       .       ",
"      +@#      ",
"      $%&      ",
"     *=-;>     ",
" ,')!~--{]^/(_ ",
" :@<[}|;1$23[4 ",
"  ^;5}667$8}(  ",
"   962|0a3bc   ",
"    };0}=%b    ",
"   de-50=@%f   ",
"   )=-gh;e%i   ",
"   jah   k{/   ",
"   _l     mn   ",
"               "]

STAR_YELLOW = ["15 15 94 2",
"  	c None",
". 	c #7F7F39",
"+ 	c #807C3A",
"@ 	c #EBE65F",
"# 	c #66661A",
"$ 	c #C6C06C",
"% 	c #EBE460",
"& 	c #AEA92C",
"* 	c #655D16",
"= 	c #EFE68C",
"- 	c #EAE063",
"; 	c #E6DC39",
"> 	c #58550A",
", 	c #857D3C",
"' 	c #938A44",
") 	c #9A8F44",
"! 	c #A0933C",
"~ 	c #C6B32B",
"{ 	c #EADD6C",
"] 	c #EADE66",
"^ 	c #E3D832",
"/ 	c #C2B819",
"( 	c #8A8610",
"_ 	c #807D0E",
": 	c #78780D",
"< 	c #65650C",
"[ 	c #989151",
"} 	c #EEE187",
"| 	c #EBDA76",
"1 	c #E8D364",
"2 	c #E5CE4F",
"3 	c #E1CA2E",
"4 	c #E8D959",
"5 	c #DFD024",
"6 	c #CFC31C",
"7 	c #D6CD1A",
"8 	c #DDD817",
"9 	c #E1DF17",
"0 	c #8E8D0E",
"a 	c #8B8143",
"b 	c #E9D676",
"c 	c #E8D068",
"d 	c #E5CD55",
"e 	c #E2CA39",
"f 	c #E0CD30",
"g 	c #D3C321",
"h 	c #CEC21E",
"i 	c #D6CC1A",
"j 	c #DDD618",
"k 	c #77770D",
"l 	c #726829",
"m 	c #E2C94D",
"n 	c #E1C83C",
"o 	c #E2CB37",
"p 	c #E5D341",
"q 	c #E7DA4E",
"r 	c #E2D624",
"s 	c #DCD41B",
"t 	c #79770D",
"u 	c #DFCD5D",
"v 	c #E9D865",
"w 	c #E4D345",
"x 	c #E3D230",
"y 	c #EEE784",
"z 	c #EBE463",
"A 	c #D8D330",
"B 	c #655D21",
"C 	c #EDE282",
"D 	c #EADC64",
"E 	c #E5D644",
"F 	c #E3D52F",
"G 	c #EFE883",
"H 	c #EBE663",
"I 	c #E8E541",
"J 	c #4B4B09",
"K 	c #95904B",
"L 	c #EEE682",
"M 	c #EADF62",
"N 	c #D2C833",
"O 	c #837D12",
"P 	c #E1DC67",
"Q 	c #ECE863",
"R 	c #E8E742",
"S 	c #65650F",
"T 	c #ABA75C",
"U 	c #DFD976",
"V 	c #7F7A2F",
"W 	c #8E8E3D",
"X 	c #DCDC3F",
"Y 	c #7D7D14",
"Z 	c #63602E",
"` 	c #3C3C10",
" .	c #4E4E16",
"..	c #47470B",
"                              ",
"              .               ",
"            + @ #             ",
"            $ % &             ",
"          * = - ; >           ",
"  , ' ) ! ~ { ] ^ / ( _ : <   ",
"  [ } | 1 2 3 4 5 6 7 8 9 0   ",
"    a b c d e f g h i j k     ",
"      l m n o p q r s t       ",
"        u v w x y z A         ",
"      B C D E F G H I J       ",
"      K L M N O P Q R S       ",
"      T U V       W X Y       ",
"      Z `            ...      ",
"                              "]
